PTO_GEN(1)

NAME
pto_gen - Generate a Hugin project file from a list of images.

SYNOPSIS
pto_gen [options] image [...]

DESCRIPTION
pto_gen assembles a Hugin .pto project file that is suitable as input for further tools such as the cpfind control-point generator, or for opening with the Hugin panorama GUI itself. Functionality is similar to match-n-shift.

USAGE
   pto_gen *.jpg

This creates a project file from all jpg images, in the same folder as the first photo. The project file is named first_file-last_file.pto using the same convention as the Hugin GUI.

OPTIONS

-o|--output file
    Output Hugin PTO file.

-p|--projection num
    Projection type (default: 0)

-f|--fov float
    Horizontal field of view of images (default: 50)

-s|--stacklength num
    Number of images in stack (default: 1, no stacks)

-l|--linkstacks
    Link image positions in stacks

-h|--help
    shows help

AUTHORS
Thomas Modes